package templatetesting_test

import (
	"testing"

	"git.sapphic.engineer/roleypoly/v4/templates/templatetesting"
	"github.com/stretchr/testify/assert"
)

func TestRender(t *testing.T) {
	for _, template := range templatetesting.Templates.Templates() {
		assert.NotPanicsf(t, func() {
			templatetesting.Template(t, template.Name(), nil)
		}, "rendering %s", template.Name())
	}
}
